import sys
import numpy as np
if len(sys.argv) != 3:
    sys.exit(True)

path = sys.argv[0]
data_to_return = sys.argv[1]
numbers = sys.argv[2]
time_vector = np.linspace(0, 2*np.pi, int(numbers))
if str(data_to_return).upper() == "TIMEBASE":
    sys.stdout.write(f"OK\n{';'.join([str(x) for x in time_vector])}")

elif str(data_to_return).upper() == "DATA":
    data = np.sin(time_vector).tolist()
    sys.stdout.write(f"OK\n{';'.join([str(x) for x in data])}")
    sys.exit(0)

else:
    sys.exit(1)
    